Favicon

You are here: Home > API Reference > Platform > Organization > Transfer organization ownership to user

Transfer organization ownership to user

Required Permission: base.organization.management.ownerChange

Transfers primary ownership and administrative control of organization workspace to different user including billing responsibilities, access privileges, and legal accountability.

POST
https://api.applivery.io/v1/organizations/{organizationId}/change-owner
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/change-owner" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "newOwner": "john-doe"
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/change-owner", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "newOwner": "john-doe"
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/organizations/{organizationId}/change-owner",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "newOwner": "john-doe"
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Organization unique identifier or URL-friendly slug used for workspace access, API routing, and resource isolation across dashboard.
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Body Params application/json
newOwner string required
User identifier or username slug for new owner who will receive primary administrative control, billing responsibilities, and legal accountability for organization.
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
{
    "newOwner": "john-doe"
}

Responses

200 Response application/json
status boolean optional
data object optional
changed boolean optional
Flag indicating successful ownership transfer completion with true confirming new owner assignment.
{
    "status": true,
    "data": {
        "changed": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}